[arch-commits] CVS update of extra/office/gnucash (PKGBUILD gnucash.install)
Aaron Griffin
aaron at archlinux.org
Wed Jan 16 06:37:23 UTC 2008
Date: Wednesday, January 16, 2008 @ 01:37:23
Author: aaron
Path: /home/cvs-extra/extra/office/gnucash
Added: PKGBUILD (1.1) gnucash.install (1.1)
upgpkg: gnucash 2.2.3-1
-----------------+
PKGBUILD | 29 +++++++++++++++++++++++++++++
gnucash.install | 37 +++++++++++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
Index: extra/office/gnucash/PKGBUILD
diff -u /dev/null extra/office/gnucash/PKGBUILD:1.1
--- /dev/null Wed Jan 16 01:37:23 2008
+++ extra/office/gnucash/PKGBUILD Wed Jan 16 01:37:22 2008
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD,v 1.1 2008/01/16 06:37:22 aaron Exp $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=2.2.3
+pkgrel=1
+pkgdesc="A personal and small-business financial-accounting application"
+arch=(i686 x86_64)
+url="http://www.gnucash.org"
+license="GPL"
+depends=('gtkhtml' 'swig' 'slib' 'goffice>=0.6.1' 'libgnomeprintui')
+makedepends=('texinfo' 'intltool')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+install=${pkgname}.install
+md5sums=('5d043f0f453f43394be305afd2ba7dc9')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+
+ ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc \
+ --with-gconf-schema-file-dir=/usr/share/gconf/schemas/gnucash \
+ --disable-schemas-install
+
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+ rm -rf ${startdir}/pkg/usr/share/info || return 1
+}
Index: extra/office/gnucash/gnucash.install
diff -u /dev/null extra/office/gnucash/gnucash.install:1.1
--- /dev/null Wed Jan 16 01:37:23 2008
+++ extra/office/gnucash/gnucash.install Wed Jan 16 01:37:22 2008
@@ -0,0 +1,37 @@
+schemas=( \
+ 'apps_gnucash_dialog_business_common.schemas' \
+ 'apps_gnucash_dialog_commodities.schemas' \
+ 'apps_gnucash_dialog_common.schemas' \
+ 'apps_gnucash_dialog_prices.schemas' \
+ 'apps_gnucash_dialog_print_checks.schemas' \
+ 'apps_gnucash_dialog_reconcile.schemas' \
+ 'apps_gnucash_dialog_scheduled_transctions.schemas' \
+ 'apps_gnucash_dialog_totd.schemas' \
+ 'apps_gnucash_general.schemas' \
+ 'apps_gnucash_history.schemas' \
+ 'apps_gnucash_import_generic_matcher.schemas' \
+ 'apps_gnucash_warnings.schemas' \
+ 'apps_gnucash_window_pages_account_tree.schemas' \
+ 'apps_gnucash_window_pages_register.schemas' \
+)
+post_install() {
+ for schema in "${schemas[@]}" ; do
+ export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+ usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/gnucash/"$schema" > /dev/null
+ done
+}
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for schema in "${schemas[@]}" ; do
+ export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+ usr/bin/gconftool-2 --makefile-uninstall-rule usr/share/gconf/schemas/gnucash/"$schema" > /dev/null
+ done
+}
+
+op=$1
+shift
+
+$op $*
More information about the arch-commits
mailing list